//=============================================================================
// AKUNOU_VXBalloon.js
// Version: 1.00
// ----------------------------------------------------------------------------
// 河原 つつみ
// 連絡先 ：『アクマの脳髄』http://www.akunou.com/
//=============================================================================

/*:
 * @plugindesc RPGツクールVX系サイズのフキダシ画像がMVで使えるようになります。
 * @author Tsutumi Kawahara
 * @help
 * プラグインコマンド:
 *   必要なし
 * プラグイン ON にするだけで適用されるスクリプトです。
 * 
 * MVではフリー枠が5つ追加されているので Balloon.png を256x480として、
 * 下部に5つ分空白枠を追加して下さい。
 */

(function() {

    //-------------------------------------------------------------------------
    // Sprite_Balloon
    //-------------------------------------------------------------------------
    
    Sprite_Balloon.prototype.updateFrame = function() {
        var w = 32;
        var h = 32;
        var sx = this.frameIndex() * w;
        var sy = (this._balloonId - 1) * h;
        this.setFrame(sx, sy, w, h);
    };

})();
